Page MenuHomeLubuntu Development

19.04 Release Notes
Closed, ResolvedPublic

Description

The release is in one week, folks. We've now entered final freeze. We need some brave souls to go through everything we've done in the past 6 months to prepare a release announcement. This needs to include:

  1. The names of everyone who has contributed.
  2. Features that weren't already cherry-picked for the new LXQt and Calamares releases.
  3. Anything new that's user-facing and notable.

It should have plenty of GIFs and images so people can visualize the changes.

I'd like all hands on deck for anyone who isn't already hammering out last minute technical details. I'll start a wiki page, but it needs to be written in Markdown so it can work with the tooling we already have (the wiki is rst).

Remember, the audience for the release announcement isn't technical. We should highlight notable features in plain language first, and have developer notes further down. People sometimes have short attention spans as well, so the more notable, the higher up it should go, I think.

Related Objects

StatusAssignedTask
Resolvedtsimonq2
Resolvedwxl

Event Timeline

tsimonq2 triaged this task as Unbreak Now! priority.Apr 10 2019, 7:22 PM
tsimonq2 created this task.
apt-ghetto added a subscriber: apt-ghetto.EditedApr 15 2019, 3:09 AM

I made a Pull Request on Github to fill the content of the release notes a bit. A lot of the content I have copy&pasted from the previous release notes and adjusted some numbers.

TODO:

TaskStatus
Check my kind of English and convert it into real Englishdone
Check the version numbersdone
Add missing informations (images, GIFs)open
What's about 32-bit?open
Check contributor list. If not strictly necessary, I feel myself more comfortable to be one of "many contributors" instead of being listed.done
tsimonq2 edited subscribers, added: Website Team; removed: Documentation Team.

Check my kind of English and convert it into real English

Your English was fine, except for a few plural vs. singular differences.

Check the version numbers

They look fine on first glance.

Add missing informations

We need some more GIFs and images. Some flair to it.

What's about 32-bit?

Good point, I'll write something about that.

Check contributor list. If not strictly necessary, I feel myself more comfortable to be one of "many contributors" instead of being listed.

That's fine. I think I have everyone, could someone please spot check me here?

wxl closed this task as Resolved.Apr 18 2019, 2:43 PM
wxl claimed this task.
wxl added a subscriber: wxl.

It looks like the open stuff never got fixed, but oh well.